### Method

# Hinawa FwNode get_config_rom

since: 4.0

#### Declaration [src]

    gboolean
    hinawa_fw_node_get_config_rom (
      HinawaFwNode* self,
      const guint8** image,
      gsize* length,
      GError** error
    )

#### Description [src]

Get cached content of configuration ROM aligned to big-endian.

Available since: 4.0

#### Parameters

`image`

  Type: An array of `guint8*`

  The content of configuration ROM.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The returned data is owned by the instance.

`length`

  Type: `gsize*`

  The number of bytes consists of the configuration ROM.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.